QGIS Application - Bug report #11198
Text annotations are not rendered when saving the map canvas as image
2014-09-12 10:52 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19509
Description

Text (and other types of) annotations are not rendered when saving the map canvas as an image through QGIS' Project -> Save as
Image... menu item.

Steps to reproduce:

1. Create a new project

2. Add a dataset layer (doesn't really matter what you use here)

3. Add a Text Annotation on the canvas

4. Save the canvas as an image via the Project -> Save as Image... menu item
5. Open the saved image, notice the absence of the text annotation

Flagging as blocker, it's a real bummer.

History

#1 - 2014-09-27 11:44 PM - Nathan Woodrow

Is this a regression or more of a nice to have if it works?

#2 - 2014-09-27 11:53 PM - Mathieu Pellerin - nIRV

Nathan, my memory remembers a time when | could Save as Image... with annotation drawn, but then again | could be wrong. | was discussing this with

Martin, it might have regressed after the MTR mega-commit.

I will try to test this out on QGIS 2.0 or 2.2 to confirm it is indeed a regression and my memory's still somewhat trustworthy ;).

#3 - 2014-09-27 11:55 PM - Nathan Woodrow

Maybe you have just gone mad ;)

Nah | might be a regression from the multi threading stuff. Should be easy enough to fix if it was.

#4 - 2014-10-03 10:17 AM - Giovanni Manghi
- Priority changed from Severe/Regression to Normal

| tested qgis down to 1.8 and it never exported the annotation with "save as image". Not even sure we should make this a feature request or not.
#5 - 2016-05-18 02:40 AM - Arnaud Morvan

This feature has been added by https://github.com/qgis/QGIS/pull/3059

#6 - 2016-05-18 02:50 AM - Mathieu Pellerin - nIRV
- Status changed from Open to Closed

- % Done changed from 0 to 100

- Resolution set to fixed/implemented

#7 - 2016-05-20 05:09 AM - Arnaud Morvan
- % Done changed from 100 to 0

#8 - 2016-05-20 05:11 AM - Arnaud Morvan
- % Done changed from 0 to 100
